public final class JobStatistics2 extends GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the BigQuery API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
| Modifier and Type | Class and Description |
|---|---|
static class |
JobStatistics2.ReservationUsage
Model definition for JobStatistics2ReservationUsage.
|
GenericData.FlagsAbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>| Constructor and Description |
|---|
JobStatistics2() |
| Modifier and Type | Method and Description |
|---|---|
JobStatistics2 |
clone() |
BiEngineStatistics |
getBiEngineStatistics()
BI Engine specific Statistics.
|
Integer |
getBillingTier()
[Output only] Billing tier for the job.
|
Boolean |
getCacheHit()
[Output only] Whether the query result was fetched from the query cache.
|
Long |
getDdlAffectedRowAccessPolicyCount()
[Output only] [Preview] The number of row access policies affected by a DDL statement.
|
TableReference |
getDdlDestinationTable()
[Output only] The DDL destination table.
|
String |
getDdlOperationPerformed()
The DDL operation performed, possibly dependent on the pre-existence of the DDL target.
|
DatasetReference |
getDdlTargetDataset()
[Output only] The DDL target dataset.
|
RoutineReference |
getDdlTargetRoutine()
The DDL target routine.
|
RowAccessPolicyReference |
getDdlTargetRowAccessPolicy()
[Output only] [Preview] The DDL target row access policy.
|
TableReference |
getDdlTargetTable()
[Output only] The DDL target table.
|
DmlStatistics |
getDmlStats()
[Output only] Detailed statistics for DML statements Present only for DML statements INSERT,
UPDATE, DELETE or TRUNCATE.
|
Long |
getEstimatedBytesProcessed()
[Output only] The original estimate of bytes processed for the job.
|
MlStatistics |
getMlStatistics()
[Output only] Statistics of a BigQuery ML training job.
|
BigQueryModelTraining |
getModelTraining()
[Output only, Beta] Information about create model query job progress.
|
Integer |
getModelTrainingCurrentIteration()
[Output only, Beta] Deprecated; do not use.
|
Long |
getModelTrainingExpectedTotalIteration()
[Output only, Beta] Deprecated; do not use.
|
Long |
getNumDmlAffectedRows()
[Output only] The number of rows affected by a DML statement.
|
List<ExplainQueryStage> |
getQueryPlan()
[Output only] Describes execution plan for the query.
|
List<RoutineReference> |
getReferencedRoutines()
[Output only] Referenced routines (persistent user-defined functions and stored procedures) for
the job.
|
List<TableReference> |
getReferencedTables()
[Output only] Referenced tables for the job.
|
List<JobStatistics2.ReservationUsage> |
getReservationUsage()
[Output only] Job resource usage breakdown by reservation.
|
TableSchema |
getSchema()
[Output only] The schema of the results.
|
SearchStatistics |
getSearchStatistics()
[Output only] Search query specific statistics.
|
SparkStatistics |
getSparkStatistics()
[Output only] Statistics of a Spark procedure job.
|
String |
getStatementType()
The type of query statement, if valid.
|
List<QueryTimelineSample> |
getTimeline()
[Output only] [Beta] Describes a timeline of job execution.
|
Long |
getTotalBytesBilled()
[Output only] Total bytes billed for the job.
|
Long |
getTotalBytesProcessed()
[Output only] Total bytes processed for the job.
|
String |
getTotalBytesProcessedAccuracy()
[Output only] For dry-run jobs, totalBytesProcessed is an estimate and this field specifies the
accuracy of the estimate.
|
Long |
getTotalPartitionsProcessed()
[Output only] Total number of partitions processed from all partitioned tables referenced in
the job.
|
Long |
getTotalSlotMs()
[Output only] Slot-milliseconds for the job.
|
Long |
getTransferredBytes()
[Output-only] Total bytes transferred for cross-cloud queries such as Cross Cloud Transfer and
CREATE TABLE AS SELECT (CTAS).
|
List<QueryParameter> |
getUndeclaredQueryParameters()
Standard SQL only: list of undeclared query parameters detected during a dry run validation.
|
JobStatistics2 |
set(String fieldName,
Object value) |
JobStatistics2 |
setBiEngineStatistics(BiEngineStatistics biEngineStatistics)
BI Engine specific Statistics.
|
JobStatistics2 |
setBillingTier(Integer billingTier)
[Output only] Billing tier for the job.
|
JobStatistics2 |
setCacheHit(Boolean cacheHit)
[Output only] Whether the query result was fetched from the query cache.
|
JobStatistics2 |
setDdlAffectedRowAccessPolicyCount(Long ddlAffectedRowAccessPolicyCount)
[Output only] [Preview] The number of row access policies affected by a DDL statement.
|
JobStatistics2 |
setDdlDestinationTable(TableReference ddlDestinationTable)
[Output only] The DDL destination table.
|
JobStatistics2 |
setDdlOperationPerformed(String ddlOperationPerformed)
The DDL operation performed, possibly dependent on the pre-existence of the DDL target.
|
JobStatistics2 |
setDdlTargetDataset(DatasetReference ddlTargetDataset)
[Output only] The DDL target dataset.
|
JobStatistics2 |
setDdlTargetRoutine(RoutineReference ddlTargetRoutine)
The DDL target routine.
|
JobStatistics2 |
setDdlTargetRowAccessPolicy(RowAccessPolicyReference ddlTargetRowAccessPolicy)
[Output only] [Preview] The DDL target row access policy.
|
JobStatistics2 |
setDdlTargetTable(TableReference ddlTargetTable)
[Output only] The DDL target table.
|
JobStatistics2 |
setDmlStats(DmlStatistics dmlStats)
[Output only] Detailed statistics for DML statements Present only for DML statements INSERT,
UPDATE, DELETE or TRUNCATE.
|
JobStatistics2 |
setEstimatedBytesProcessed(Long estimatedBytesProcessed)
[Output only] The original estimate of bytes processed for the job.
|
JobStatistics2 |
setMlStatistics(MlStatistics mlStatistics)
[Output only] Statistics of a BigQuery ML training job.
|
JobStatistics2 |
setModelTraining(BigQueryModelTraining modelTraining)
[Output only, Beta] Information about create model query job progress.
|
JobStatistics2 |
setModelTrainingCurrentIteration(Integer modelTrainingCurrentIteration)
[Output only, Beta] Deprecated; do not use.
|
JobStatistics2 |
setModelTrainingExpectedTotalIteration(Long modelTrainingExpectedTotalIteration)
[Output only, Beta] Deprecated; do not use.
|
JobStatistics2 |
setNumDmlAffectedRows(Long numDmlAffectedRows)
[Output only] The number of rows affected by a DML statement.
|
JobStatistics2 |
setQueryPlan(List<ExplainQueryStage> queryPlan)
[Output only] Describes execution plan for the query.
|
JobStatistics2 |
setReferencedRoutines(List<RoutineReference> referencedRoutines)
[Output only] Referenced routines (persistent user-defined functions and stored procedures) for
the job.
|
JobStatistics2 |
setReferencedTables(List<TableReference> referencedTables)
[Output only] Referenced tables for the job.
|
JobStatistics2 |
setReservationUsage(List<JobStatistics2.ReservationUsage> reservationUsage)
[Output only] Job resource usage breakdown by reservation.
|
JobStatistics2 |
setSchema(TableSchema schema)
[Output only] The schema of the results.
|
JobStatistics2 |
setSearchStatistics(SearchStatistics searchStatistics)
[Output only] Search query specific statistics.
|
JobStatistics2 |
setSparkStatistics(SparkStatistics sparkStatistics)
[Output only] Statistics of a Spark procedure job.
|
JobStatistics2 |
setStatementType(String statementType)
The type of query statement, if valid.
|
JobStatistics2 |
setTimeline(List<QueryTimelineSample> timeline)
[Output only] [Beta] Describes a timeline of job execution.
|
JobStatistics2 |
setTotalBytesBilled(Long totalBytesBilled)
[Output only] Total bytes billed for the job.
|
JobStatistics2 |
setTotalBytesProcessed(Long totalBytesProcessed)
[Output only] Total bytes processed for the job.
|
JobStatistics2 |
setTotalBytesProcessedAccuracy(String totalBytesProcessedAccuracy)
[Output only] For dry-run jobs, totalBytesProcessed is an estimate and this field specifies the
accuracy of the estimate.
|
JobStatistics2 |
setTotalPartitionsProcessed(Long totalPartitionsProcessed)
[Output only] Total number of partitions processed from all partitioned tables referenced in
the job.
|
JobStatistics2 |
setTotalSlotMs(Long totalSlotMs)
[Output only] Slot-milliseconds for the job.
|
JobStatistics2 |
setTransferredBytes(Long transferredBytes)
[Output-only] Total bytes transferred for cross-cloud queries such as Cross Cloud Transfer and
CREATE TABLE AS SELECT (CTAS).
|
JobStatistics2 |
setUndeclaredQueryParameters(List<QueryParameter> undeclaredQueryParameters)
Standard SQL only: list of undeclared query parameters detected during a dry run validation.
|
getFactory, setFactory, toPrettyString, toStringentrySet, equals, get, getClassInfo, getUnknownKeys, hashCode, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, isEmpty, keySet, size, valuesfinalize, getClass, notify, notifyAll, wait, wait, waitcompute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAllpublic BiEngineStatistics getBiEngineStatistics()
null for nonepublic JobStatistics2 setBiEngineStatistics(BiEngineStatistics biEngineStatistics)
biEngineStatistics - biEngineStatistics or null for nonepublic Integer getBillingTier()
null for nonepublic JobStatistics2 setBillingTier(Integer billingTier)
billingTier - billingTier or null for nonepublic Boolean getCacheHit()
null for nonepublic JobStatistics2 setCacheHit(Boolean cacheHit)
cacheHit - cacheHit or null for nonepublic Long getDdlAffectedRowAccessPolicyCount()
null for nonepublic JobStatistics2 setDdlAffectedRowAccessPolicyCount(Long ddlAffectedRowAccessPolicyCount)
ddlAffectedRowAccessPolicyCount - ddlAffectedRowAccessPolicyCount or null for nonepublic TableReference getDdlDestinationTable()
null for nonepublic JobStatistics2 setDdlDestinationTable(TableReference ddlDestinationTable)
ddlDestinationTable - ddlDestinationTable or null for nonepublic String getDdlOperationPerformed()
null for nonepublic JobStatistics2 setDdlOperationPerformed(String ddlOperationPerformed)
ddlOperationPerformed - ddlOperationPerformed or null for nonepublic DatasetReference getDdlTargetDataset()
null for nonepublic JobStatistics2 setDdlTargetDataset(DatasetReference ddlTargetDataset)
ddlTargetDataset - ddlTargetDataset or null for nonepublic RoutineReference getDdlTargetRoutine()
null for nonepublic JobStatistics2 setDdlTargetRoutine(RoutineReference ddlTargetRoutine)
ddlTargetRoutine - ddlTargetRoutine or null for nonepublic RowAccessPolicyReference getDdlTargetRowAccessPolicy()
null for nonepublic JobStatistics2 setDdlTargetRowAccessPolicy(RowAccessPolicyReference ddlTargetRowAccessPolicy)
ddlTargetRowAccessPolicy - ddlTargetRowAccessPolicy or null for nonepublic TableReference getDdlTargetTable()
null for nonepublic JobStatistics2 setDdlTargetTable(TableReference ddlTargetTable)
ddlTargetTable - ddlTargetTable or null for nonepublic DmlStatistics getDmlStats()
null for nonepublic JobStatistics2 setDmlStats(DmlStatistics dmlStats)
dmlStats - dmlStats or null for nonepublic Long getEstimatedBytesProcessed()
null for nonepublic JobStatistics2 setEstimatedBytesProcessed(Long estimatedBytesProcessed)
estimatedBytesProcessed - estimatedBytesProcessed or null for nonepublic MlStatistics getMlStatistics()
null for nonepublic JobStatistics2 setMlStatistics(MlStatistics mlStatistics)
mlStatistics - mlStatistics or null for nonepublic BigQueryModelTraining getModelTraining()
null for nonepublic JobStatistics2 setModelTraining(BigQueryModelTraining modelTraining)
modelTraining - modelTraining or null for nonepublic Integer getModelTrainingCurrentIteration()
null for nonepublic JobStatistics2 setModelTrainingCurrentIteration(Integer modelTrainingCurrentIteration)
modelTrainingCurrentIteration - modelTrainingCurrentIteration or null for nonepublic Long getModelTrainingExpectedTotalIteration()
null for nonepublic JobStatistics2 setModelTrainingExpectedTotalIteration(Long modelTrainingExpectedTotalIteration)
modelTrainingExpectedTotalIteration - modelTrainingExpectedTotalIteration or null for nonepublic Long getNumDmlAffectedRows()
null for nonepublic JobStatistics2 setNumDmlAffectedRows(Long numDmlAffectedRows)
numDmlAffectedRows - numDmlAffectedRows or null for nonepublic List<ExplainQueryStage> getQueryPlan()
null for nonepublic JobStatistics2 setQueryPlan(List<ExplainQueryStage> queryPlan)
queryPlan - queryPlan or null for nonepublic List<RoutineReference> getReferencedRoutines()
null for nonepublic JobStatistics2 setReferencedRoutines(List<RoutineReference> referencedRoutines)
referencedRoutines - referencedRoutines or null for nonepublic List<TableReference> getReferencedTables()
null for nonepublic JobStatistics2 setReferencedTables(List<TableReference> referencedTables)
referencedTables - referencedTables or null for nonepublic List<JobStatistics2.ReservationUsage> getReservationUsage()
null for nonepublic JobStatistics2 setReservationUsage(List<JobStatistics2.ReservationUsage> reservationUsage)
reservationUsage - reservationUsage or null for nonepublic TableSchema getSchema()
null for nonepublic JobStatistics2 setSchema(TableSchema schema)
schema - schema or null for nonepublic SearchStatistics getSearchStatistics()
null for nonepublic JobStatistics2 setSearchStatistics(SearchStatistics searchStatistics)
searchStatistics - searchStatistics or null for nonepublic SparkStatistics getSparkStatistics()
null for nonepublic JobStatistics2 setSparkStatistics(SparkStatistics sparkStatistics)
sparkStatistics - sparkStatistics or null for nonepublic String getStatementType()
null for nonepublic JobStatistics2 setStatementType(String statementType)
statementType - statementType or null for nonepublic List<QueryTimelineSample> getTimeline()
null for nonepublic JobStatistics2 setTimeline(List<QueryTimelineSample> timeline)
timeline - timeline or null for nonepublic Long getTotalBytesBilled()
null for nonepublic JobStatistics2 setTotalBytesBilled(Long totalBytesBilled)
totalBytesBilled - totalBytesBilled or null for nonepublic Long getTotalBytesProcessed()
null for nonepublic JobStatistics2 setTotalBytesProcessed(Long totalBytesProcessed)
totalBytesProcessed - totalBytesProcessed or null for nonepublic String getTotalBytesProcessedAccuracy()
null for nonepublic JobStatistics2 setTotalBytesProcessedAccuracy(String totalBytesProcessedAccuracy)
totalBytesProcessedAccuracy - totalBytesProcessedAccuracy or null for nonepublic Long getTotalPartitionsProcessed()
null for nonepublic JobStatistics2 setTotalPartitionsProcessed(Long totalPartitionsProcessed)
totalPartitionsProcessed - totalPartitionsProcessed or null for nonepublic Long getTotalSlotMs()
null for nonepublic JobStatistics2 setTotalSlotMs(Long totalSlotMs)
totalSlotMs - totalSlotMs or null for nonepublic Long getTransferredBytes()
null for nonepublic JobStatistics2 setTransferredBytes(Long transferredBytes)
transferredBytes - transferredBytes or null for nonepublic List<QueryParameter> getUndeclaredQueryParameters()
null for nonepublic JobStatistics2 setUndeclaredQueryParameters(List<QueryParameter> undeclaredQueryParameters)
undeclaredQueryParameters - undeclaredQueryParameters or null for nonepublic JobStatistics2 set(String fieldName, Object value)
set in class GenericJsonpublic JobStatistics2 clone()
clone in class GenericJsonCopyright © 2011–2022 Google. All rights reserved.